//
//  Qualis.swift
//  TrabalhoPraticoLP
//
//  Created by Sandor ferreira da silva on 23/11/18.
//  Copyright © 2018 Sandor Ferreira da Silva. All rights reserved.
//

import Foundation
class Qualis : Comparable {
    private let ano: String
    private let siglaveiculo: String
    private let qualis: String
    
    public init(ano: String, siglaVeiculo: String, qualis: String) {
        self.ano = ano
        self.siglaveiculo = siglaVeiculo
        self.qualis = qualis
    }
    
    public var nomeQualis : String {
        return self.qualis
    }

    
    public var siglaVeiculo: String {
        return self.siglaveiculo
    }
    
    public var Ano : String {
        return self.ano
    }
    
    static func ==(lhs: Qualis, rhs: Qualis) -> Bool {
        return lhs.qualis == rhs.qualis
    }
    
    static func <(lhs: Qualis, rhs: Qualis) -> Bool {
        return lhs.qualis < rhs.qualis
    }
}
