//
//  Veiculo.swift
//  TrabalhoPraticoLP
//
//  Created by Sandor ferreira da silva on 08/11/18.
//  Copyright © 2018 Sandor Ferreira da Silva. All rights reserved.
//

import Foundation

class Veiculo {
    private let sigla: String
    private let nome: String
    
    public init(sigla: String, nome: String) {
        self.sigla = sigla
        self.nome = nome
    }
    
    public var Sigla : String {
        return self.sigla
    }
    
    public var Nome : String {
        return self.nome
    }
    
    public func getPontuacao(regra: Regra, listaQualis: [Qualis]) -> Double {
        var pontuacao = 0.0
        for qualis in listaQualis {
            if qualis.siglaVeiculo == self.sigla {
                //if diffDate(date1: regra.getAno(), date2: qualis.Ano) <= regra.getQtdAnos() {
                    pontuacao = Double(regra.getPontuacaoQualis(qualisName: qualis.nomeQualis))
                //}
            }
        }
        return pontuacao
    }
    
    public func getQualisName(listaQualis: [Qualis]) -> String {
        var string = ""
        for qualis in listaQualis {
            if qualis.siglaVeiculo == self.sigla {
                string = qualis.nomeQualis
            }
        }
        return string
    }
    
    private func diffDate(date1: String, date2: String) -> Int {
        let ano1 = Int(date1)!
        let ano2 = Int(date2)!

        return ano1 - ano2;
    }
}
